/* Base Setup -------------- */
:root {
    --transition-time-hover: 250ms;
    --font-size-base: clamp(16px, 15px + 0.1667vw, 18px);
    --header-logo-size: 26px;
    --hamburger-height: 16px;

    /* test */ --section-padding-y: 3rem;

    font-size: var(--font-size-base);
}

html {
    -webkit-overflow-scrolling: auto;
    overscroll-behavior: none;
    scroll-behavior: smooth;
    position: relative;
}

body {
    color: var(--text-color);
    font-size: inherit;
    overflow-x: hidden;
    line-height: 1.5;
    font-size: var(--font-size-base);
    font-family: 'Altriviera', 'Arial', sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-font-smoothing: antialiased;
    -o-font-smoothing: antialiased;
}

a {
    transition: color var(--transition-time-hover) ease;
}

.no-transition,
.no-transition * {
  transition: none !important;
}

h1, h2, h3, h4 {
    text-wrap: balance;
    transform: translateY(.1em)
}

/* Custom css - only frontend */

.hide-in-editor.consent_components {
    display: block;
}

.consent_opt-in_open-prefs {
    z-index: 50;
}

.header .header-bg {
    transition: transform var(--transition-time-hover) ease;
    transform: translateY(-100%);
    background: rgba(255, 255, 255, .6);
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
}

.header.header-filled .header-bg {
    transform: translateY(0);
}

.header.header-filled .navbar {
    color: var(--text-color);
}

.header .navbar .arrow-button {
    color: currentColor;
}

.header.header-filled .navbar .arrow-button {
    color: var(--text-color);
}

.header .navbar .header-logo-wrapper svg path {
    transition: fill var(--transition-time-hover) ease;
}

.header .navbar .header-logo-wrapper svg path {
    fill: var(--color-white);
}

.header.header-filled .navbar .header-logo-wrapper svg path {
    fill: var(--text-color);
}

.section-hero {
    min-height: 550px;
}

.section-wrapper.grid-2,
.section-content.grid-2 {
    grid-template-columns: calc(50% - var(--spacing-l)) 50%;
}

.section-hero[data-wf--hero--variant="no-image"] .hero-logo svg path,
.section-hero[data-wf--hero--variant="no-image-shorter"] .hero-logo svg path {
    fill: var(--color-blue);
}

.section-content.width-wide {
    max-width: 100%;
}

.section-content.grid-2.number-list-content {
    row-gap: var(--spacing-xs);
}

.policy-content {
    color: var(--color-steel);
}

.policy-content h1,
.policy-content h2,
.policy-content h3 {
    color: var(--text-color);
}

.policy-content h2 {
    padding-top: 4rem;
}

.arrow-link:after {
    content: '→';
    margin-left: .3em;
    transition: margin-left var(--transition-time-hover) ease;
}

p > a {
    color: var(--color-blue);
}

.w-embed.animated-logo-embed svg {
    padding-top: var(--spacing-l);
    padding-bottom: var(--spacing-l);
}

.full-image-logo-wrapper .w-embed.animated-logo-embed {
    height: 65%;
}
.full-image-logo-wrapper .w-embed.animated-logo-embed svg {
    height: 100% !important;
    width: auto !important;
    max-height: unset !important;
    margin: 0 !important;
}


/* Partner Cards */
.partner-cms-list .w-dyn-item {
    box-shadow: inset -1px -1px var(--line-color);
}
.partner-coord-dot {
    transition:
        border-color 150ms ease,
        background-color 150ms ease,
        scale 150ms ease;
    border: 1px solid var(--color-white);
    background: var(--color-yellow);
}
.partner-coord-dot:hover {
    z-index: 3;
    background: var(--color-darksteel);
}
.partner-coord-dot.is-active {
  scale: 1.4;
  background: var(--color-darksteel);
  z-index: 2;
}

/* News Article Cards */

.news-card .news-card-heading {
    transition: color var(--transition-time-hover) ease;
}

.news-card .news-card-image {
    transition: filter var(--transition-time-hover) ease;
}

/* News Article Single */

.article-content .article-content-box-1 .w-richtext > p:not(:last-child) {
    margin-bottom: 2rem;
}

.article-content p {
    line-height: 1.3;
}


/* Accordion */

.accordion-icon {
    transform: rotateZ(45deg);
    transition: transform var(--transition-time-hover) ease;)
    transition-origin: center;
}

.accordion-item-inner.open .accordion-icon {
    transform: rotateZ(180deg);
}

/* Logo Marquee */

.logo-marquee {
    overflow: hidden;
    width: 100%;
}

.logo-marquee  .logo-marquee-track {
    width: max-content;
    animation: logo-marquee-scroll 40s linear infinite;
    flex-wrap: nowrap;
    gap: 0;
}
/*
.logo-marquee .logo-marquee-track:hover {
    animation-play-state: paused;
}
*/
.logo-marquee .logo-marquee-item {
    opacity: .4;
    transition: opacity var(--transition-time-hover) ease;
}

.logo-marquee .logo-marquee-item img {
    height: 70px;
    width: auto;
    object-fit: contain;
}

@keyframes logo-marquee-scroll {
  from { transform: translateX(0); }
  to   { transform: translateX(calc(-1 * var(--marquee-scroll-width))); }
}

@media (prefers-reduced-motion: reduce) {
    .logo-marquee-track {
        animation: none;
    }
}

/* Footer */

.footer .footer-column-2 {
    grid-row: span 2;
}

.footer .footer-content-lower {
    grid-column: span 1;
}

.footer-nav .footer-nav-link.w--current {
        color: var(--color-white);
    }

.footer-nav .footer-nav-link.w--current .link-dot {
    color: var(--color-yellow);
}

.footer-logo-icon {
    max-width: 500px
}

.footer:after {
    content: '';
    position: absolute;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
    opacity: 0.15;
    pointer-events: none;
    z-index: 0;
    overflow: hidden;
    background-image: url("https://cdn.prod.website-files.com/6a033e75677409d34c679467/6a21a4e8b34703b29129a3f0_rovik_logomark_outline_.svg");
    background-repeat: no-repeat;
    background-size: 300px;
    background-position: top var(--section-padding-x) right -150px;
    display: none;
}

/*___________________________*/

/* Media queries */

@media (min-width: 1800px) {

    :root {
        --_fontsize---font-size-huge: 2.2rem;
    }

    #hero-logo {
        width: 160px;
    }

    .footer-logo-icon {
        max-width: 700px
    }
}

@media (max-width: 1280px) {

    .team-grid {
        grid-template-columns: 1fr 1fr;
    }
    
    .footer-column-2 {
        grid-row: span 1;
    }
    .footer .footer-content-lower {
        grid-column: span 2;
        margin-top: 0;
    }
}

@media (max-width: 991px) {

    :root {
        --section-padding-x: 1rem;
        --_fontsize---font-size-huge: 1.5rem;
    }

    .w-nav-button.hamburger-button {
        display: flex !important;
    }

    .hamburger-button.w--open {
        color: currentColor;
    }

    .header-filled .lang-picker .lang-picker-nav {
        background-color: transparent;
    }

    .grid-2,
    .grid-3,
    .section-content.grid-2,
    .section-content.grid-3,
    .section-content.grid-2.no-gap {
        display: flex;
        flex-direction: column;
    }

    .grid-4 {
        grid-template-columns: 1fr 1fr;
    }

    .min-h-70,
    .min-h-50 {
        min-height: auto;
    }

    .team-grid {
        grid-template-columns: 1fr 1fr 1fr;
    }

    .footer-content {
        grid-template-columns: 1fr auto;
    }

    .footer-logo-icon {
        max-width: 300px;
    }
}

@media (max-width: 767px) {

    :root {
        --section-padding-y: 2.5rem;
    }

    div:has(> .octagon-icon) {
        display: none;
    }

    .logo-marquee .logo-marquee-item img {
        height: 50px;
    }

    .team-grid {
        grid-template-columns: 1fr 1fr;
    }

    .footer:after {
        display: block;
    }

    .footer-content {
        grid-template-columns: 1fr;
    }

    .footer .footer-content-lower {
        grid-column: span 1;
    }

    .footer-logo-icon {
        max-width: unset;
    }
}

@media (max-width: 479px) {

    .footer:after {
        background-size: 300px;
        background-position: bottom 70px right -150px;
    }
}

/* Hover query ------------ */

@media (hover: hover) and (pointer: fine) {

    .footer a:hover {
        color: var(--color-white);
    }

    .footer-nav-link:hover .link-dot {
        color: var(--color-yellow);
    }

    .arrow-button:hover {
        color: var(--color-yellow) !important;
    }

    .arrow-button:hover .arrow-button-arrow {
        transform: scale(1.1);
    }

    .arrow-link:hover {
        color: var(--color-blue);
    }

    p > a:hover {
    color: var(--color-cement);
    }

    .news-card-link:hover .news-card-heading {
        color: var(--color-blue);
    }

    .news-card-link:hover .news-card-image {
        filter: brightness(.9);
    }
}

/* Webflow override ------- */

.w-nav-menu {
    float: unset;
    display: flex;
    justify-content: end;
}

.w-nav-brand {
    color: currentColor;
}

.w-nav-link {
    color: inherit;
    height: var(--header-height);
    padding: 0 .65rem;
    transition: color var(--transition-time-hover) ease;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 0 .65rem;
    position: relative;
}

.w-nav-link:after {
    content: '';
    display: block;
    width: 3px;
    height: 3px;
    background-color: transparent;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, .8em);
    transition: background-color var(--transition-time-hover) ease;
    opacity: 1;
}

.w-nav-link:hover,
.w-nav-link.w--current:hover {
    color: var(--color-yellow);
}

.w-embed {
    overflow: hidden;
}

.w-embed.reveal-list-dot {
    overflow: visible;
}

.w-nav-link.w--current {
    color: inherit;
    text-decoration: none;
}

.w-nav-link.w--current:after {
    background-color: currentColor;
}

/* Mobile menu styling */
.w-nav-button.hamburger-button {
    margin: 0;
    background: transparent;
}

.w-nav-overlay {
    display: block !important;
    visibility: hidden;
    width: 0 !important;
    z-index: -1 !important;
    font-size: var(--_fontsize---font-size-large);
    transition: width 400ms ease, visibility 400ms ease;
    background-color: var(--color-lightcloud);
    height: 100lvh !important;
}

.menu-open .w-nav-overlay {
    width: 100% !important;
    visibility: visible;
    z-index: -1 !important;
    max-height: 100dvh;
}

.w-nav-overlay .w-nav-menu.nav-menu {
    width: 100%;
    max-height: 100%;
    pointer-events: auto;
    padding-top: calc(var(--header-height) + 1rem);
    background-color: transparent;
    color: var(--text-color);
    position: relative;
    display: flex !important;
    flex-direction: column;
    justify-content: start;
}

.w-nav-overlay .w-nav-menu.nav-menu:after {
    content: '';
    position: absolute;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background-image: url("https://cdn.prod.website-files.com/6a033e75677409d34c679467/6a21a4e8b34703b29129a3f0_rovik_logomark_outline_.svg");
    background-repeat: no-repeat;
    background-size: 500px;
    background-position: right -250px bottom -250px;
    opacity: 0.25;
    pointer-events: none;
    z-index: -1;
    overflow: hidden;
}

.w-nav-overlay .w-nav-menu.nav-menu > *:before {

}

.w-nav-overlay .header-nav-link {
    width: max-content;
    align-items: start;
    height: calc(var(--header-height) * .8);
}

.w-nav-overlay .header-nav-link:after {
    left: 2px;
    transform: translate(-50%, -3px);
}

.hamburger-icon-part {
    transition: transform var(--transition-time-hover) ease;
    transform-origin: center center;
}

.menu-open #hamburger-icon-part-1 {
    transform: translateY(calc((var(--hamburger-height) / 2) - .5px)) rotate(45deg);
}

.menu-open #hamburger-icon-part-2 {
    transform: scaleX(0);
}

.menu-open #hamburger-icon-part-3 {
    transform: translateY(calc(-1 * (var(--hamburger-height) / 2) + .5px)) rotate(-45deg);
}

/* Test logo animation */
#hero-logo {
    transform-origin: left top;
    will-change: transform, opacity;
}

#header-logo {
    width: var(--header-logo-size);
    height: var(--header-logo-size);
    opacity: 0;
    transform: translateY(50px);
    transition: transform 400ms 200ms cubic-bezier(0.4, 0, 0.2, 1), opacity 0s;
    will-change: transform, opacity;
}

#header-logo.is-visible {
    opacity: 1;
    transform: translateY(0);
}

#header-logo-text {
    transform: translateX(calc(-1 * var(--header-logo-size) - 12px));
    transition: transform 200ms cubic-bezier(0.4, 0, 0.2, 1);
    will-change: transform;
}

#header-logo-text.is-visible {
    transform: translateX(0);
}

/* Consent Pro */

/* Languange picker */

.lang-picker .w-dropdown-toggle {
    color: currentColor;
}

.lang-picker .w-dropdown-toggle .lang-picker-icon {
    transition: border-color var(--transition-time-hover) ease;
    border: solid 2px transparent;
    border-radius: 50%;
}

.lang-picker .w-dropdown-toggle.w--open .lang-picker-icon {
    border-color: currentColor;
}

.header-filled .lang-picker .w-dropdown-toggle .lang-picker-icon {
    color: inherit;
}

.lang-picker .lang-picker-nav {
    width: max-content;
    right: 0;
}

.lang-picker .lang-picker-nav {
    width: max-content;
    right: -.5rem;
    padding: var(--spacing-s);
    padding-left: calc(var(--spacing-s) + .5rem);
    transform: translateX(calc(100% + var(--section-padding-x)));
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    display: block;
    transition:
        transform var(--transition-time-hover) ease,
        opacity var(--transition-time-hover) ease,
        visibility 0s linear var(--transition-time-hover);
}

.lang-picker .lang-picker-nav.w--open {
    transform: translateX(0);
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
    transition:
        transform var(--transition-time-hover) ease,
        opacity var(--transition-time-hover) ease,
        visibility 0s linear 0s;
}

.header-filled .lang-picker .lang-picker-nav {
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    background-color: rgba(255, 255, 255, .6);
}

.lang-picker .lang-picker-nav .lang-picker-nav-list {
    display: flex;
    flex-direction: column;
    gap: var(--spacing-xxs);
}

lang-picker .lang-picker-dropdown-toggle.w-dropdown-toggle.w--open {
    background-color: transparent !important;
}

.lang-picker .lang-picker-nav-item a {
    transition: opacity var(--transition-time-hover) ease;
}

.lang-picker .lang-picker-nav-item a:hover {
    opacity: .6;
}